@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const version = await nova.jobs.criteria.versions.get({
jobId: "job_abc123",
criteriaVersionId: "cv_abc123",
});curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/criteria/versions/cv_abc123" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"version": {
"id": "<string>",
"version": 123,
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
},
"criteriaRevision": "crit_1ab2cd",
"criteria": [
{
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"order": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Criteria
Get Criteria Version
Retrieve a specific criteria version by ID
GET
/
v1
/
jobs
/
{jobId}
/
criteria
/
versions
/
{criteriaVersionId}
@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const version = await nova.jobs.criteria.versions.get({
jobId: "job_abc123",
criteriaVersionId: "cv_abc123",
});curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/criteria/versions/cv_abc123" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"version": {
"id": "<string>",
"version": 123,
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
},
"criteriaRevision": "crit_1ab2cd",
"criteria": [
{
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"order": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Use this endpoint to inspect a historical criteria version for a job.
Authorizations
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Headers
Your customer identifier. Tenants are auto-provisioned on first request.
Path Parameters
Your job identifier (external ID).
Criteria version ID.
Response
Criteria version
Was this page helpful?